Skip to main content
GET
/
zk
/
export
/
{path}
Get ZooKeeper data
import requests

url = "https://{FUSION HOST}/api/zk/export/{path}"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/zk/export/{path}")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/zk/export/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/zk/export/{path}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/zk/export/{path}"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/zk/export/{path}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/zk/export/{path}
{
  "path": "/lucid/query-pipelines",
  "children": [
    {
      "path": "/lucid/query-pipelines/default"
    }
  ]
}

Path Parameters

path
string
required

Path from ZooKeeper root node, such as 'lucid/query-pipelines'.

Pattern: .*

Query Parameters

recursive
boolean
default:true

Return children nodes.

excludePaths
string[]

List of paths to exclude.

includePaths
string[]

List of paths to include.

encodeValues
string
default:base64

Values encoding. Default is 'base64'.

ephemeral
boolean
default:false

Include ephemeral nodes. Default is false.

Response

200 - application/json

successful operation

request
object
response
object